net.minecraft.crash

## Class CrashReportCategory

- java.lang.Object
- - net.minecraft.crash.CrashReportCategory

-     public class CrashReportCategory
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrashReportCategory(CrashReport par1CrashReport, java.lang.String par2Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCrashSection(java.lang.String par1Str, java.lang.Object par2Obj)`
    `void` | `addCrashSectionCallable(java.lang.String par1Str, java.util.concurrent.Callable par2Callable)`
    `void` | `addCrashSectionThrowable(java.lang.String par1Str, java.lang.Throwable par2Throwable)`
    `void` | `appendToStringBuilder(java.lang.StringBuilder par1StringBuilder)`
    `boolean` | `firstTwoElementsOfStackTraceMatch(java.lang.StackTraceElement par1StackTraceElement, java.lang.StackTraceElement par2StackTraceElement)`
    `java.lang.StackTraceElement[]` | `func_147152_a()`
    `static void` | `func_147153_a(CrashReportCategory p_147153_0_, int p_147153_1_, int p_147153_2_, int p_147153_3_, Block p_147153_4_, int p_147153_5_)`
    `static java.lang.String` | `func_85074_a(double par0, double par2, double par4)`
    `static java.lang.String` | `getLocationInfo(int par0, int par1, int par2)`
    `int` | `getPrunedStackTrace(int par1)`
    `void` | `trimStackTraceEntriesFromBottom(int par1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrashReportCategory

          public CrashReportCategory(CrashReport par1CrashReport,
                             java.lang.String par2Str)

  - ### Method Detail

    - #### func_85074_a

          public static java.lang.String func_85074_a(double par0,
                                      double par2,
                                      double par4)

    - #### getLocationInfo

          public static java.lang.String getLocationInfo(int par0,
                                         int par1,
                                         int par2)

    - #### addCrashSectionCallable

          public void addCrashSectionCallable(java.lang.String par1Str,
                                     java.util.concurrent.Callable par2Callable)

    - #### addCrashSection

          public void addCrashSection(java.lang.String par1Str,
                             java.lang.Object par2Obj)

    - #### addCrashSectionThrowable

          public void addCrashSectionThrowable(java.lang.String par1Str,
                                      java.lang.Throwable par2Throwable)

    - #### getPrunedStackTrace

          public int getPrunedStackTrace(int par1)

    - #### firstTwoElementsOfStackTraceMatch

          public boolean firstTwoElementsOfStackTraceMatch(java.lang.StackTraceElement par1StackTraceElement,
                                                  java.lang.StackTraceElement par2StackTraceElement)

    - #### trimStackTraceEntriesFromBottom

          public void trimStackTraceEntriesFromBottom(int par1)

    - #### appendToStringBuilder

          public void appendToStringBuilder(java.lang.StringBuilder par1StringBuilder)

    - #### func_147152_a

          public java.lang.StackTraceElement[] func_147152_a()

    - #### func_147153_a

          public static void func_147153_a(CrashReportCategory p_147153_0_,
                           int p_147153_1_,
                           int p_147153_2_,
                           int p_147153_3_,
                           Block p_147153_4_,
                           int p_147153_5_)